---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: descheduler
  namespace: kube-system
spec:
  releaseName: descheduler
  rollback:
    enabled: false
  chart:
    repository: https://kubernetes-sigs.github.io/descheduler/
    name: descheduler-helm-chart
    version: 0.19.0
  values:
    image:
      tag: v0.19.0
    schedule: "*/15 * * * *"
    cmdOptions:
      v: 3
      evict-local-storage-pods: ""
    deschedulerPolicy:
      strategies:
        RemoveDuplicates:
          enabled: true
        RemovePodsViolatingNodeAffinity:
          enabled: true
          params:
            nodeAffinityType:
              - requiredDuringSchedulingIgnoredDuringExecution
        RemovePodsViolatingInterPodAntiAffinity:
          enabled: true
        LowNodeUtilization:
          enabled: false
